Bug 978201 - RHEV-H lose contact with RHEV-M after hypervisor IP address was changed by DHCP server.
RHEV-H lose contact with RHEV-M after hypervisor IP address was changed by DH...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 02:07 EDT by cshao
Modified: 2016-02-10 14:24 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 08:47:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cshao 2013-06-26 02:07:09 EDT
Description of problem:
Some operations will cause IP change. e.g. It's easy to happen when execute kdump "echo c > /proc/sysrq-trigger".

But if the IP address is changed by DHCP server, RHEV-H will lose contact with RHEV-M, and all storages and VMs can't be used any more.

Although there is workaround "bond your host mac and ip", but I think it is not a good behavior for user. 

Version-Release number of selected component (if applicable):
rhev-hypervisor6-6.4-20130528.0.el6_4
vdsm-4.10.2-22.0.el6ev.x86_64
SF18.1

How reproducible:
100%

Steps to Reproduce:
1. Install RHEV-H and configure network with DHCP.
2. Register to RHEVM and create some VMs.
3. Do some operations make IP change.(e.g. It's easy to happen when kdump " echo c > /proc/sysrq-trigger".)
4. Focus on RHEV-H status(include: storage; vms and so on) 

Actual results:
RHEV-H lose contact with RHEV-M after IP address was changed by DHCP server. 

Expected results:
RHEV-H status still UP and all storages and VMs can live after IP address was changed.

Additional info:
Comment 1 Andrew Cathrow 2013-07-22 08:47:19 EDT
Is the host configured in RHEV-M using IP address or IP address?
Comment 2 Andrew Cathrow 2013-07-22 08:49:35 EDT
(In reply to Andrew Cathrow from comment #1)
> Is the host configured in RHEV-M using IP address or IP address?

If we are using dns name then re-open otherwise this is user error rather than a bug
Comment 3 cshao 2013-08-21 01:30:58 EDT
(In reply to Andrew Cathrow from comment #2)
> (In reply to Andrew Cathrow from comment #1)
> > Is the host configured in RHEV-M using IP address or IP address?
> 
> If we are using dns name then re-open otherwise this is user error rather
> than a bug

The host configured in RHEV-M using IP address. No such issue when using dns name.
Thanks!

Note You need to log in before you can comment on or make changes to this bug.